#ifndef _ELEEBOT
#define _ELEEBOT

//#include "Arduino.h"
#include "Engine.h"
#include "IRC.h"
#include "Sensor.h"
#include "LineTracker.h"

class EleeBot {
  private:
  public:
    EleeBot();
    ~EleeBot();
    Engine getEngine();
    IRC getIRC();
    Sensor getSensor();
    LineTracker getLineTracker();
    void setup();
    void moveForward(int speed, int time);
    void moveBackward(int speed, int time);
    void turnRight(int speed, int time);
    void turnLeft(int speed, int time);
    void moveForward(int speed);
    void moveBackward(int speed);
    void turnRight(int speed);
    void turnLeft(int speed);
    void spinRight(int speed, int time);
    void spinLeft(int speed, int time);
    void spinRight(int speed);
    void spinLeft(int speed);
    void wait(int msec);
    void stopRobot();
};

#endif
